> For the complete documentation index, see [llms.txt](https://docs.recognito.vision/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.recognito.vision/id-document-recognition-sdk/integration-guide/linux/installation.md).

# Installation

## Download SDK

Download [**id\_recognition\_engine.zip**](https://www.dropbox.com/scl/fi/bcfbbcn0a6dqv6oa5qk5m/id_recognition_engine.zip?rlkey=08klo2fq8j113fjhcu54cn39w\&st=tb93ngxw\&dl=0)

Unpack the `id_recognition_engine.zip` archive into the desired directory.

## Directory Structure

The SDK directory contains the following directories and files:

<table data-header-hidden><thead><tr><th width="152"></th><th width="227"></th><th></th></tr></thead><tbody><tr><td><strong>dependency\</strong></td><td>libimutils.so</td><td>libimutils so file for Ubuntu20.04</td></tr><tr><td></td><td>libimutils.so_for_ubuntu22</td><td>libimutils so file for Ubuntu22.04</td></tr><tr><td></td><td>libttvcore.so</td><td>OCR dependency so file</td></tr><tr><td><strong>engine\</strong></td><td><strong>bin\</strong></td><td>SDK binary files</td></tr><tr><td></td><td>header.py</td><td>Header file</td></tr><tr><td></td><td>libMetaChecker.so</td><td>File Meta Checking Library</td></tr><tr><td></td><td>libOCR.so</td><td>OCR Engine Library</td></tr></tbody></table>

## Install dependencies

* Install packages and requirements:

{% code overflow="wrap" %}

```sh
sudo apt-get install -y python3 python3-pip libcurl4-openssl-dev libssl-dev libopencv-dev libpcsclite-dev
```

{% endcode %}

* Copy dependency libraries:

{% code overflow="wrap" %}

```sh
sudo cp -f dependency/libimutils.so /usr/lib
sudo cp -f dependency/libttvcore.so /usr/lib
```

{% endcode %}

{% hint style="warning" %}
If the Ubuntu version is 22.04:

{% code overflow="wrap" %}

```sh
sudo cp -f dependency/libimutils.so_for_ubuntu22 /usr/lib/libimutils.so
```

{% endcode %}
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.recognito.vision/id-document-recognition-sdk/integration-guide/linux/installation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
